#!/usr/bin/python
import gtk
import gtk.glade

class PyAtCronView:
	def __init__ (self):
		self.widgetTree = None

	def show (self):
		self.widgetTree = gtk.glade.XML ("pyatcron.glade")
		dic = {
						"on_mainwin_destroy_event" : self.destroy,
						"on_mainwin_delete_event" : self.destroy,
						"on_mainmenu_quit_activate" : self.quit
					}
		self.widgetTree.signal_autoconnect (dic)

	def destroy (self, event, obj):
		self.exit ()

	def quit (self, obj):
		self.exit ()

	def exit (self):
		gtk.main_quit ()

class PyAtCronApp:
	def __init__ (self):
		self.view = PyAtCronView ()
		self.walks = []

	def start (self):
		self.view.show ()

mainApp = PyAtCronApp ()
mainApp.start ()
gtk.main ()
